SND_AC97_UPDATE(9)

NAME
snd_ac97_update - update the value on the given register

SYNOPSIS

int snd_ac97_update(struct snd_ac97 * ac97, unsigned short reg, unsigned short value);

ARGUMENTS

ac97
    the ac97 instance

reg
    the register to change

value
    the value to set

DESCRIPTION

Compares the value with the register cache and updates the value only when the value is changed.

RETURN

1 if the value is changed, 0 if no change, or a negative code on failure.

COPYRIGHT